Author Topic: Conan in the CI  (Read 4657 times)

sg

  • Newbie
  • *
  • Posts: 25
    • View Profile
Conan in the CI
« on: August 22, 2023, 08:15:43 AM »
It looks like conan is 'broken' in the CI scripts.   appveyor.yml appears to be getting the latest 2.0.9 version of conan, which I think changes 'conan user' to 'conan remote login'  (or something like that).  The appveyor.yml scripts should be updated to work with the new conan 2.0.x versions or downgrade the pip install conan to something like pip install conan==1.60.2 or whatever was the last working version.

fmk

  • Administrator
  • Full Member
  • *****
  • Posts: 232
    • View Profile
Re: Conan in the CI
« Reply #1 on: August 23, 2023, 06:59:33 AM »
thanks. i have updated the appveyor files to use 1.60.1

sg

  • Newbie
  • *
  • Posts: 25
    • View Profile
Re: Conan in the CI
« Reply #2 on: August 27, 2023, 10:13:33 PM »
It looks like you changed the first OS build but did not make the changes for the Ubuntu and Windows.  So there are still build errors in the CI.